Skip to main content
GET
/
products
/
{id}
Get product by ID
curl --request GET \
  --url https://api.vantage.sh/v2/products/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "aws-ec2-m5d_16xlarge",
  "category": "compute",
  "name": "m5d.16xlarge",
  "service_id": "aws-ec2",
  "provider_id": "aws",
  "details": {
    "gpu": 0,
    "name": "M5 General Purpose 16xlarge",
    "vcpu": 64,
    "memory": 256,
    "clock_speed_ghz": 3.1,
    "physical_processor_description": "Intel Xeon Platinum 8175 (Skylake)",
    "network_performance_description": "20 Gigabit"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

Response

200 - application/json

Product model

id
string
required
category
string
required

The category of the cloud product

Example:

"compute"

name
string
required

The common name of the product.

Example:

"EC2"

service_id
string
required

A unique slug for the service the product belongs to.

Example:

"aws-ec2"

provider_id
string
required

A unique slug for the provider the product belongs to.

Example:

"aws"

details
object
required

An object of metadata about the product.

Example:
{
"gpu": 0,
"name": "M5 General Purpose 16xlarge",
"vcpu": 64,
"memory": 256,
"clock_speed_ghz": 3.1,
"physical_processor_description": "Intel Xeon Platinum 8175 (Skylake)",
"network_performance_description": "20 Gigabit"
}